package com.muyu.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.domain.EngineMaintenance;
import com.muyu.domain.EngineVersion;
import com.muyu.req.EngineMaintenanceQueryReq;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author：qdm
 * @Package：com.muyu.mapper
 * @Project：cloud-etl-engine
 * @name：EngineMapper
 * @Date：2024/8/22 15:05
 */
@Mapper
public interface EngineMapper extends BaseMapper<EngineMaintenance> {
    Integer add(EngineMaintenance engineMaintenance);

    Integer forbiddenEngine(@Param("id") Integer id);

    Integer onEngine(@Param("id") Integer id);

    Integer closeEngine(@Param("id") Integer id);

    Integer activateEngine(@Param("id") Integer id);

    List<EngineMaintenance> getMaintenanceList(EngineMaintenanceQueryReq engineMaintenanceQueryReq);

    Integer deletes(@Param("id") Long id);

    EngineMaintenance select(@Param("id") Long id);
}
